Bug 464216 - Plymouth shouldn't depend on things from /usr
Plymouth shouldn't depend on things from /usr
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: 464220 (view as bug list)
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
Reported: 2008-09-26 14:45 EDT by Lennart Poettering
Modified: 2008-10-10 16:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-06 15:39:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2008-09-26 14:45:19 EDT
On my system /usr is a seperate read-only-mounted partition. This means that Plymouth fails horribly since it requires stuff from /usr to initialize properly, such as libpng and during earily bootup that dir is not available yet.

Generally libraries/binaries installed in / should not depend on things from /usr. But more importantly, stuff that is needed for early boot shouldn't depend on anything from /usr.

Plymouth spams the console with a lot of errors when booting up with a seperate /usr partition. It doesn't bring anything useful on the screen but steals the cursor and puts the terminal in some strange mode so that you cannot even use the console anymore to see what is going on.
Comment 1 Ray Strode [halfline] 2008-09-26 17:13:13 EDT
libpng is put in the initrd, that's probably not the issue.

it's probably /usr/bin/plymouth using /usr/lib/libply

Why do you use a separate /usr partition by the way?
Comment 2 Ray Strode [halfline] 2008-09-26 17:14:50 EDT
oh libply.so links against libpng.so event though /usr/bin/plymouth doesn't need libpng...that's probably fixable
Comment 3 Ray Strode [halfline] 2008-09-29 17:40:00 EDT
*** Bug 464220 has been marked as a duplicate of this bug. ***
Comment 4 Lennart Poettering 2008-10-05 16:25:41 EDT
Since this makes my system unbootable and apparently we *do* allow setups with seperate /usr I am take the freedom to make this a F10Blocker. 

Please, please, please, with cream on top: let me be able boot my system properly again!
Comment 5 Lennart Poettering 2008-10-05 16:28:16 EDT
Comment 6 Ray Strode [halfline] 2008-10-05 17:44:56 EDT
yea it should be on the blocker list.
Comment 7 Ray Strode [halfline] 2008-10-06 15:39:14 EDT
I've moved a bunch of stuff around on the filesystem, so /usr shouldn't be needed anymore.

Hopefully I didn't break anything, but it was a lot of little changes, so I wouldn't be surprised if I did.

I'm going to close this, but please reopen if you still see an issue.

To test, install the latest plymouth then rebuild your initrd with:

/sbin/mkinitrd -f /boot/initrd-kernel-version-here.img kernel-version-here
Comment 8 Ray Strode [halfline] 2008-10-06 15:43:49 EDT
*** Bug 465706 has been marked as a duplicate of this bug. ***
Comment 9 Lennart Poettering 2008-10-10 16:35:22 EDT
Seems to work now.

Note You need to log in before you can comment on or make changes to this bug.